NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Classes | Public Types | Public Member Functions | Properties | List of all members
NXOpen.Weld.JointExitBuilder Class Reference

Used to set custom edge preparation parameters of a NXOpen.Weld.WeldJoint feaure. More...

Inheritance diagram for NXOpen.Weld.JointExitBuilder:
NXOpen.Weld.WeldJointBuilder NXOpen.Weld.StructureWeldBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Classes

struct  FilletSizes
 The structure for defining fillet weld lengths. More...
 

Public Types

enum  BodySide { First, Second }
 Settings to indicate the side the positions should be applied to. More...
 
enum  Positions {
  UpperChamfer, Upper, Middle, Lower,
  LowerChamfer
}
 Settings to indicate the desired position of edge preporation thickness and angle. More...
 
- Public Types inherited from NXOpen.Weld.WeldJointBuilder
enum  Application { StructureWelding, Routing }
 Application where joints are created. More...
 
enum  CoordinateSystem { Absolute, Ship }
 Coordinate system specification. More...
 
enum  DestinationTypes { WorkPart, NewComponent }
 Where to create new joints. More...
 
enum  SplitTypes {
  EqualSegments, Limits, Angle, ComputedAngle,
  Length, None, Skip
}
 Joint splitting options. More...
 
enum  Types { CreateAutomatic, CreateManual, CreateMultiple, CreateAttributes }
 Creation method. More...
 
enum  WeldTypes {
  Any, Groove, Fillet, Corner,
  Lap, Socket, Mechanical, Sleeve,
  Boss
}
 Weld types. More...
 

Public Member Functions

unsafe void GetEdgePrepValues (NXOpen.Weld.JointExitBuilder.Positions position, out double thickness, out double angle)
 Gets the thickness and angle combination to set for the desired weld position More...
 
unsafe
NXOpen.Weld.JointExitBuilder.FilletSizes 
GetFilletLengths ()
 Gets the fillet weld values for the side of the welding joint. More...
 
unsafe
NXOpen.Weld.JointExitBuilder.FilletSizes 
GetOppositeFilletLengths ()
 Gets the fillet weld values for the opposite side of the welding joint. More...
 
unsafe void SetBothFilletLengths (NXOpen.Weld.JointExitBuilder.FilletSizes sizes)
 Sets the symmetric fillet weld values for a welding joint. More...
 
unsafe void SetEdgePrepValues (NXOpen.Weld.JointExitBuilder.Positions position, double thickness, double angle)
 This method should be called multiple times. More...
 
unsafe void SetFilletLengths (NXOpen.Weld.JointExitBuilder.FilletSizes sizes)
 Sets the fillet weld values for the side of the welding joint. More...
 
unsafe void SetOppositeFilletLengths (NXOpen.Weld.JointExitBuilder.FilletSizes sizes)
 Sets the fillet weld values for the opposite side of the welding joint. More...
 
- Public Member Functions inherited from NXOpen.Weld.WeldJointBuilder
unsafe void AddCharacteristicsInheritaceInformation ()
 Add welding characteristics inheritance information. More...
 
unsafe void CopyLimits (NXOpen.Die.DieLimitsBuilder limits)
 Copy input limits to builder limits More...
 
unsafe NXOpen.Curve CreateLimitsPath (NXOpen.Curve jointCurve)
 Creates the path to be used for the limits. More...
 
unsafe void CreateSingleJointFromFeature (NXOpen.Curve featureCurve, bool updateBuilder)
 Creates a joint from a feature. More...
 
unsafe void Delete ()
 Deletes all joints set by NXOpen.Weld.WeldJointBuilder.Joint . More...
 
unsafe void DeleteAllUnMarkedJoints ()
 Deletes any joints that were not marked with a call to NXOpen.Weld.WeldJointBuilder.MarkJointsToKeep . More...
 
unsafe void DeleteCharacteristicsInheritaceInformation ()
 Delete welding characteristics inheritance information. More...
 
unsafe void FindPortsInParts (NXOpen.Part[] parts, out NXOpen.Routing.Port[] ports)
 Gets ports from the parts. More...
 
unsafe double GetAngleBetween ()
 Gets the angle between the fillet weld mold faces, and the target faces, or butt weld primary and secondary faces. More...
 
unsafe void GetConnectedParts (out NXOpen.Assemblies.Component[] parts)
 Gets connected parts for joint. More...
 
unsafe bool GetIsLongPoint ()
 Gets the long point status. More...
 
unsafe bool GetJointChanged (NXOpen.Curve curve)
 Indicates whether joint was changed. More...
 
unsafe NXOpen.Die.DieLimitsBuilder GetJointLimits (NXOpen.Curve curve)
 Get the limits of an individual joint. More...
 
unsafe bool GetMidPointInformation (NXOpen.Weld.WeldJointBuilder.CoordinateSystem desiredCoordinateSystem, out NXOpen.Weld.WeldJointBuilder.JointMidPointData jointMidPointData)
 Gets the joint curve mid point, tangent, and face normals at the mid point from the primary and secondary bodies. More...
 
unsafe void GetNewlyCreatedJoints (out NXOpen.Curve[] curves, out NXOpen.Weld.JointItemBuilder[] newItemBuilder)
 Gets the NXOpen.Weld.JointItemBuilder objects and curves which were just created by NXOpen.Weld.WeldJointBuilder.ShowJoints . More...
 
unsafe double GetPrimaryThickness (NXOpen.Curve curve)
 Gets the primary thickness for a specified joint More...
 
unsafe double GetSecondaryThickness (NXOpen.Curve curve)
 Gets the primary secondary for a specified joint More...
 
unsafe NXOpen.Weld.JointItemBuilder GetSingleJoint (NXOpen.Curve curve)
 Gets the NXOpen.Weld.JointItemBuilder object associated to the input curve. More...
 
unsafe void GetVariableBevelAngles (out double[] variableAngles)
 Gets variable bevel angles. More...
 
unsafe bool IsCornerOpen ()
 Returns status value of true if corner joint is an open case which means the placement face only touches the target face at the master edge. More...
 
unsafe bool IsPipeJoint ()
 Returns status value of true if this is a pipe welding joint. More...
 
unsafe void MarkJointsToKeep ()
 Marks all currently created welding joints so they do not get deleted when NXOpen.Weld.WeldJointBuilder.DeleteAllUnMarkedJoints is called from the dialog. More...
 
unsafe NXOpen.Weld.JointItemBuilder NewItem ()
 Creates a NXOpen.Weld.JointItemBuilder object. More...
 
unsafe void SetCallbackMessage (string message)
 Sets a message to display after callback processing ends More...
 
unsafe void SetErrorMessage (string message)
 Sets an error message to display More...
 
unsafe void SetJointChanged (NXOpen.Curve curve, bool changed)
 Indicate that joint was changed. More...
 
unsafe void SetVariableBevelAngles (double[] variableAngles)
 This method is for use with the variable bevel callback. More...
 
unsafe void ShowJoints ()
 Show joints will create joints using the method set by NXOpen.Weld.WeldJointBuilder.Types . More...
 
unsafe void Split ()
 Splits all joints set by NXOpen.Weld.WeldJointBuilder.Joint defined by NXOpen.Weld.WeldJointBuilder.SplitTypes . More...
 
unsafe void UpdateCollectors (NXOpen.Curve jointCurve)
 Updates the main collectors by copying data from Joint. More...
 
unsafe void UpdateJointAfterLimitsChange ()
 Updates the joint curve after the limits change. More...
 
unsafe void UpdateJointAfterLimitsChange (NXOpen.Die.DieLimitsBuilder limits)
 Updates the joint curve after the limits change. More...
 
unsafe void UpdateJointType (NXOpen.Weld.WeldJointBuilder.WeldTypes type)
 Updates all joints set by NXOpen.Weld.WeldJointBuilder.Joint to have the given type. More...
 
- Public Member Functions inherited from NXOpen.Weld.StructureWeldBuilder
unsafe
NXOpen.Assemblies.Component[] 
GetCommittedComponents ()
 This method returns the component parts that are created by Builder.Commit . More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Annotations.FinishMethod 
FinishMethod [get, set]
 Returns or sets the weld finish method More...
 
unsafe NXOpen.Annotations.Symbol OtherSideSymbol [get, set]
 Returns or sets the symbol for welding other side when it is not being prepared More...
 
unsafe double RootOpening [get, set]
 Returns or sets the desired gap between bodies being welded More...
 
unsafe
NXOpen.Weld.JointExitBuilder.BodySide 
Side [get, set]
 Returns or sets the side edge preparation values will be applied to More...
 
unsafe NXOpen.Annotations.Symbol SymbolType [get, set]
 Returns or sets the symbol to override the symbol computed from the joint parameters, if NXOpen.Annotations.Symbol is not NXOpen.Annotations.Symbol.None . More...
 
- Properties inherited from NXOpen.Weld.WeldJointBuilder
unsafe bool AssociativeSplit [get, set]
 Returns or sets whether split joints should be associative More...
 
unsafe NXOpen.ScCollector BackingFace [get]
 Returns the backing face. More...
 
unsafe
NXOpen.LineColorFontWidthBuilder 
BossColorFontWidth [get]
 Returns the color, font, and width of the boss joint curves. More...
 
unsafe
NXOpen.LineColorFontWidthBuilder 
ButtColorFontWidth [get]
 Returns the color, font, and width of the butt joint curves. More...
 
unsafe bool CombineConnectedJoints [get, set]
 Returns or sets the indication to combine connected joints if they belong to the same body More...
 
unsafe
NXOpen.LineColorFontWidthBuilder 
CornerColorFontWidth [get]
 Returns the color, font, and width of the corner joint curves. More...
 
unsafe
NXOpen.Weld.WeldJointBuilder.Application 
CreatedApplication [get, set]
 Returns or sets the application where joint is created More...
 
unsafe
NXOpen.Weld.WeldJointBuilder.Types 
CreateMethod [get, set]
 Returns or sets the creation method More...
 
unsafe
NXOpen.Weld.WeldJointBuilder.DestinationTypes 
Destination [get, set]
 Returns or sets the destination to create new joints More...
 
unsafe bool DuplicateCheck [get, set]
 Returns or sets the indication to not allow new joints to be created if they are duplicates of exising joints More...
 
unsafe NXOpen.SelectCurveList Joint [get]
 Returns the welding joint curves. More...
 
unsafe
NXOpen.Weld.JointItemBuilderList 
JointList [get]
 Returns the list of NXOpen.Weld.JointItemBuilder objects. More...
 
unsafe string JointPrefix [get, set]
 Returns or sets the prefix for the weld ID attribute, and the prefix for the name of the component if NXOpen.Weld.WeldJointBuilder.DestinationTypes is NXOpen.Weld.WeldJointBuilder.DestinationTypes.NewComponent More...
 
unsafe
NXOpen.LineColorFontWidthBuilder 
LapColorFontWidth [get]
 Returns the color, font, and width of the lap joint curves. More...
 
unsafe
NXOpen.Die.DieLimitsBuilderList 
LimitList [get]
 Returns the list of limit builders. More...
 
unsafe NXOpen.Die.DieLimitsBuilder Limits [get]
 Returns the limits of the joint curve span. More...
 
unsafe NXOpen.ScCollector MasterEdge [get]
 Returns the master edge of a fillet weld. More...
 
unsafe double MaximumFaceGap [get, set]
 Returns or sets the maximum face gap used when determining if two bodies intersect. More...
 
unsafe
NXOpen.LineColorFontWidthBuilder 
MechanicalColorFontWidth [get]
 Returns the color, font, and width of the mechanical joint curves. More...
 
unsafe string NamePrefix [get, set]
 Returns or sets the prefix used for the welding joint Design Feature name in Collaborative Product Development mode More...
 
unsafe int NumberSegments [get, set]
 Returns or sets the number of segments to divide a joint when using NXOpen.Weld.WeldJointBuilder.SplitTypes.EqualSegments . More...
 
unsafe NXOpen.ScCollector PlacementFace [get]
 Returns the placement face of a fillet weld. More...
 
unsafe NXOpen.ScCollector PrimaryEdge [get]
 Returns the primary edge of a butt weld. More...
 
unsafe NXOpen.ScCollector PrimaryFace [get]
 Returns the primary face of a butt weld. More...
 
unsafe NXOpen.ScCollector SecondaryEdge [get]
 Returns the secondary edge of a butt weld. More...
 
unsafe NXOpen.ScCollector SecondaryFace [get]
 Returns the secondary face of a butt weld. More...
 
unsafe NXOpen.SelectNXObjectList ShipComponent [get]
 Returns the components on which the welding joints will be created. More...
 
unsafe
NXOpen.LineColorFontWidthBuilder 
SleeveColorFontWidth [get]
 Returns the color, font, and width of the sleeve joint curves. More...
 
unsafe
NXOpen.LineColorFontWidthBuilder 
SocketColorFontWidth [get]
 Returns the color, font, and width of the socket joint curves. More...
 
unsafe double SpacingLength [get, set]
 Returns or sets the spacing length when using NXOpen.Weld.WeldJointBuilder.SplitTypes.Skip . More...
 
unsafe double SplitAngle [get, set]
 Returns or sets the split angle to divide a joint when using NXOpen.Weld.WeldJointBuilder.SplitTypes.Angle . More...
 
unsafe double SplitLength [get, set]
 Returns or sets the segment length when using NXOpen.Weld.WeldJointBuilder.SplitTypes.Skip . More...
 
unsafe
NXOpen.Weld.WeldJointBuilder.SplitTypes 
SplitOption [get, set]
 Returns or sets the method used to split the joint More...
 
unsafe NXOpen.Part SubsetPart [get, set]
 Returns or sets the subset part where Design Control Elements are to be created More...
 
unsafe NXOpen.ScCollector TargetFace [get]
 Returns the target face of a fillet weld. More...
 
unsafe
NXOpen.LineColorFontWidthBuilder 
TJointColorFontWidth [get]
 Returns the color, font, and width of the T-joint curves. More...
 
unsafe
NXOpen.Weld.WeldJointBuilder.Types 
Type [get, set]
 Returns or sets the creation type More...
 
unsafe
NXOpen.Weld.CharacteristicsBuilder 
WeldingCharacteristics [get]
 Returns the collection of welding characteristics defined by attributes. More...
 
unsafe
NXOpen.Weld.WeldJointBuilder.WeldTypes 
WeldType [get, set]
 Returns or sets the weld type More...
 
unsafe NXOpen.Part WorkPart [get, set]
 Returns or sets the saved work part More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Used to set custom edge preparation parameters of a NXOpen.Weld.WeldJoint feaure.

To create a new instance of this class, use NXOpen.Weld.WeldManager.CreateJointExitBuilder

Default values.

Property Value

NumberSegments

2

RootOpening

0

SplitAngle

5.0

Created in NX8.0.0

Member Enumeration Documentation

Settings to indicate the side the positions should be applied to.

Enumerator
First 

the first side.

For fillet welds only this needs to be specified.

Second 

the other side.

This is only used for butt welds.

Settings to indicate the desired position of edge preporation thickness and angle.

Enumerator
UpperChamfer 

the upper chamfer position

Upper 

the upper position

Middle 

the middle position

Lower 

the lower position

LowerChamfer 

the lower chamfer position

Member Function Documentation

unsafe void NXOpen.Weld.JointExitBuilder.GetEdgePrepValues ( NXOpen.Weld.JointExitBuilder.Positions  position,
out double  thickness,
out double  angle 
)
inline

Gets the thickness and angle combination to set for the desired weld position

Created in NX8.0.0

License requirements: None.

Parameters
positionPosition of edge preparation values to set.
thicknessThe thickness depth for this position.
angleThe angle of edge preporation for this position.
unsafe NXOpen.Weld.JointExitBuilder.FilletSizes NXOpen.Weld.JointExitBuilder.GetFilletLengths ( )
inline

Gets the fillet weld values for the side of the welding joint.

Created in NX8.0.0

License requirements: None.

Returns
The fillet sizes for the side of the welding joint
unsafe NXOpen.Weld.JointExitBuilder.FilletSizes NXOpen.Weld.JointExitBuilder.GetOppositeFilletLengths ( )
inline

Gets the fillet weld values for the opposite side of the welding joint.

Created in NX8.0.0

License requirements: None.

Returns
The fillet sizes for the opposite side of the welding joint
unsafe void NXOpen.Weld.JointExitBuilder.SetBothFilletLengths ( NXOpen.Weld.JointExitBuilder.FilletSizes  sizes)
inline

Sets the symmetric fillet weld values for a welding joint.

Created in NX8.0.0

License requirements: structure_weld ("STRUCTURE WELD")

Parameters
sizesThe symmetric fillet sizes for both sides of the welding joint
unsafe void NXOpen.Weld.JointExitBuilder.SetEdgePrepValues ( NXOpen.Weld.JointExitBuilder.Positions  position,
double  thickness,
double  angle 
)
inline

This method should be called multiple times.

First set the BodySide then call this method for each Position. For Butt welds this function should be used to set each side. After the primary side is set, change the BodySide and call this method for the secondary side. For Fillet welds, only the primary side needs to be set.

Created in NX8.0.0

License requirements: structure_weld ("STRUCTURE WELD")

Parameters
positionPosition of edge preparation values to set.
thicknessThe thickness depth for this position.
angleThe angle of edge preporation for this position.
unsafe void NXOpen.Weld.JointExitBuilder.SetFilletLengths ( NXOpen.Weld.JointExitBuilder.FilletSizes  sizes)
inline

Sets the fillet weld values for the side of the welding joint.

Created in NX8.0.0

License requirements: structure_weld ("STRUCTURE WELD")

Parameters
sizesThe fillet sizes for the side of the welding joint
unsafe void NXOpen.Weld.JointExitBuilder.SetOppositeFilletLengths ( NXOpen.Weld.JointExitBuilder.FilletSizes  sizes)
inline

Sets the fillet weld values for the opposite side of the welding joint.

Created in NX8.0.0

License requirements: structure_weld ("STRUCTURE WELD")

Parameters
sizesThe fillet sizes for the opposite side of the welding joint

Property Documentation

unsafe NXOpen.Annotations.FinishMethod NXOpen.Weld.JointExitBuilder.FinishMethod
getset

Returns or sets the weld finish method

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe NXOpen.Annotations.Symbol NXOpen.Weld.JointExitBuilder.OtherSideSymbol
getset

Returns or sets the symbol for welding other side when it is not being prepared

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe double NXOpen.Weld.JointExitBuilder.RootOpening
getset

Returns or sets the desired gap between bodies being welded

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe NXOpen.Weld.JointExitBuilder.BodySide NXOpen.Weld.JointExitBuilder.Side
getset

Returns or sets the side edge preparation values will be applied to

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe NXOpen.Annotations.Symbol NXOpen.Weld.JointExitBuilder.SymbolType
getset

Returns or sets the symbol to override the symbol computed from the joint parameters, if NXOpen.Annotations.Symbol is not NXOpen.Annotations.Symbol.None .

Currently only NXOpen.Annotations.Symbol.JButt and NXOpen.Annotations.Symbol.UButt are implemented. All other values will be treated as NXOpen.Annotations.Symbol.None

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.